ExternalModuleDependency (Gradle API 8.11)

Package org.gradle.api.artifacts

## Interface ExternalModuleDependency

- All Superinterfaces:
    `Dependency`, `ExternalDependency`, `HasAttributes`, `HasConfigurableAttributes<ModuleDependency>`, `ModuleDependency`, `ModuleVersionSelector`
  All Known Subinterfaces:
    `ClientModule`, `MinimalExternalModuleDependency`

      public interface ExternalModuleDependency
      extends ExternalDependency

  A `ExternalModuleDependency` is a `Dependency` on a module outside the current project hierarchy.

- - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.artifacts.Dependency

      `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExternalModuleDependency` | `copy()` | Creates and returns a new dependency with the property values of this one.
    `boolean` | `isChanging()` | Returns whether or not Gradle should always check for a change in the remote repository.
    `ExternalModuleDependency` | `setChanging​(boolean changing)` | Sets whether or not Gradle should always check for a change in the remote repository.

    - ### Methods inherited from interface org.gradle.api.artifacts.Dependency

      `because, contentEquals, getGroup, getName, getReason, getVersion`

    - ### Methods inherited from interface org.gradle.api.artifacts.ExternalDependency

      `getVersionConstraint, isForce, version`

    - ### Methods inherited from interface org.gradle.api.artifacts.ModuleDependency

      `addArtifact, artifact, artifact, attributes, capabilities, doNotEndorseStrictVersions, endorseStrictVersions, exclude, getArtifacts, getAttributes, getCapabilitySelectors, getExcludeRules, getRequestedCapabilities, getTargetConfiguration, isEndorsingStrictVersions, isTransitive, setTargetConfiguration, setTransitive`

    - ### Methods inherited from interface org.gradle.api.artifacts.ModuleVersionSelector

      `getGroup, getModule, getName, getVersion, matchesStrictly`

- - ### Method Detail

    - #### isChanging

          boolean isChanging()

      Returns whether or not Gradle should always check for a change in the remote repository.
      See Also:
        `setChanging(boolean)`

    - #### setChanging

          ExternalModuleDependency setChanging​(boolean changing)

      Sets whether or not Gradle should always check for a change in the remote repository. If set to true, Gradle will check the remote repository even if a dependency with the same version is already in the local cache. Defaults to false.
      Parameters:
        `changing` - Whether or not Gradle should always check for a change in the remote repository
      Returns:
        this

    - #### copy

          ExternalModuleDependency copy()

      Creates and returns a new dependency with the property values of this one.
      Specified by:
        `copy` in interface `Dependency`
      Specified by:
        `copy` in interface `ExternalDependency`
      Specified by:
        `copy` in interface `ModuleDependency`
      Returns:
        The copy. Never returns null.